Bug 1275013 - [abrt] gnome-builder: vala_error_type_get_error_code(): gnome-builder killed by SIGSEGV
[abrt] gnome-builder: vala_error_type_get_error_code(): gnome-builder killed ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-builder (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David King
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:a2739a97dd9fe4cdd02f9ac126b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-24 20:04 EDT by Faizan Qazi
Modified: 2016-07-07 05:12 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-07 05:12:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (45.48 KB, text/plain)
2015-10-24 20:04 EDT, Faizan Qazi
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-24 20:04 EDT, Faizan Qazi
no flags Details
File: core_backtrace (25.71 KB, text/plain)
2015-10-24 20:04 EDT, Faizan Qazi
no flags Details
File: dso_list (24.36 KB, text/plain)
2015-10-24 20:04 EDT, Faizan Qazi
no flags Details
File: environ (915 bytes, text/plain)
2015-10-24 20:04 EDT, Faizan Qazi
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-24 20:04 EDT, Faizan Qazi
no flags Details
File: maps (109.94 KB, text/plain)
2015-10-24 20:04 EDT, Faizan Qazi
no flags Details
File: mountinfo (3.62 KB, text/plain)
2015-10-24 20:04 EDT, Faizan Qazi
no flags Details
File: namespaces (85 bytes, text/plain)
2015-10-24 20:04 EDT, Faizan Qazi
no flags Details
File: open_fds (4.10 KB, text/plain)
2015-10-24 20:04 EDT, Faizan Qazi
no flags Details
File: proc_pid_status (1023 bytes, text/plain)
2015-10-24 20:04 EDT, Faizan Qazi
no flags Details

  None (edit)
Description Faizan Qazi 2015-10-24 20:04:02 EDT
Description of problem:
1) Opened a vala based project
2) Looked at source file inside the project

Version-Release number of selected component:
gnome-builder-3.18.1-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/gnome-builder --gapplication-service
crash_function: vala_error_type_get_error_code
executable:     /usr/bin/gnome-builder
global_pid:     6336
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 vala_error_type_get_error_code at valaerrortype.c:730
 #1 vala_flow_analyzer_real_visit_try_statement at valaflowanalyzer.c:6264
 #2 vala_block_real_accept_children at valablock.c:1908
 #3 vala_flow_analyzer_visit_subroutine at valaflowanalyzer.c:2161
 #4 vala_class_real_accept_children at valaclass.c:2850
 #5 vala_source_file_accept_children at valasourcefile.c:509
 #6 vala_flow_analyzer_analyze at valaflowanalyzer.c:1621
 #7 vala_code_context_check at valacodecontext.c:1248
 #8 __lambda6_ at ide-vala-index.c:1025
 #9 ___lambda6__ide_thread_func at ide-vala-index.c:1046
Comment 1 Faizan Qazi 2015-10-24 20:04:07 EDT
Created attachment 1086150 [details]
File: backtrace
Comment 2 Faizan Qazi 2015-10-24 20:04:08 EDT
Created attachment 1086151 [details]
File: cgroup
Comment 3 Faizan Qazi 2015-10-24 20:04:09 EDT
Created attachment 1086152 [details]
File: core_backtrace
Comment 4 Faizan Qazi 2015-10-24 20:04:11 EDT
Created attachment 1086153 [details]
File: dso_list
Comment 5 Faizan Qazi 2015-10-24 20:04:12 EDT
Created attachment 1086154 [details]
File: environ
Comment 6 Faizan Qazi 2015-10-24 20:04:13 EDT
Created attachment 1086155 [details]
File: limits
Comment 7 Faizan Qazi 2015-10-24 20:04:15 EDT
Created attachment 1086156 [details]
File: maps
Comment 8 Faizan Qazi 2015-10-24 20:04:16 EDT
Created attachment 1086157 [details]
File: mountinfo
Comment 9 Faizan Qazi 2015-10-24 20:04:17 EDT
Created attachment 1086158 [details]
File: namespaces
Comment 10 Faizan Qazi 2015-10-24 20:04:18 EDT
Created attachment 1086159 [details]
File: open_fds
Comment 11 Faizan Qazi 2015-10-24 20:04:20 EDT
Created attachment 1086160 [details]
File: proc_pid_status
Comment 12 Jesús Abelardo Saldívar Aguilar 2015-11-07 00:35:50 EST
Another user experienced a similar problem:

Gnome Builder crashed just seconds after opening a recent project.

This is happened in a recent upgrade from fedora 22 to 23.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-builder --gapplication-service
crash_function: vala_error_type_get_error_code
executable:     /usr/bin/gnome-builder
global_pid:     3000
kernel:         4.2.5-300.fc23.x86_64
package:        gnome-builder-3.18.1-2.fc23
reason:         gnome-builder killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 13 Nicolas Laplante 2015-11-13 06:50:21 EST
Another user experienced a similar problem:

Open an Vala file in a project.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-builder --gapplication-service
crash_function: vala_error_type_get_error_code
executable:     /usr/bin/gnome-builder
global_pid:     4261
kernel:         4.2.5-300.fc23.x86_64
package:        gnome-builder-3.18.1-2.fc23
reason:         gnome-builder killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Igor Gnatenko 2016-07-07 05:12:43 EDT
This is very old bug, if you still can reproduce it - please reopen.

Note You need to log in before you can comment on or make changes to this bug.